For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Inboxes
      • GETGet Inbox
      • POSTCreate Inbox
      • PATCHUpdate Inbox
      • DELDelete Inbox
        • GETList Threads
        • GETGet Thread
        • GETGet Attachment
        • PATCHUpdate Thread
        • DELDelete Thread
LogoLogo
contact@agentmail.ccDiscord
API ReferenceInboxesThreads

Delete Thread

DELETE
/v0/inboxes/:inbox_id/threads/:thread_id
DELETE
/v0/inboxes/:inbox_id/threads/:thread_id
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.inboxes.threads.delete(
8 inbox_id="inbox_id",
9 thread_id="thread_id",
10)
Moves the thread to trash by adding a trash label to all messages. If the thread is already in trash, it will be permanently deleted. Use `permanent=true` to force permanent deletion. **CLI:** ```bash agentmail inboxes:threads delete --inbox-id <inbox_id> --thread-id <thread_id> ```
Was this page helpful?
Previous

List Messages

Next
Built with

Moves the thread to trash by adding a trash label to all messages. If the thread is already in trash, it will be permanently deleted. Use permanent=true to force permanent deletion.

CLI:

$agentmail inboxes:threads delete --inbox-id <inbox_id> --thread-id <thread_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.
thread_idstringRequired
ID of thread.

Query parameters

permanentbooleanOptional
If true, permanently delete the thread instead of moving to trash.

Errors

404
Not Found Error